{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "Declare function Get_Property, RowExists\r\nDeclare subroutine Set_Property\r\n\r\n$Insert LOGICAL\r\n\r\nPSNo = Get_Property(@WINDOW : '.PS_NO', 'TEXT')\r\nStage = Get_Property(@Window : '.STAGE', 'TEXT')\r\n\r\nIf PSNo NE '' and Stage NE '' then\r\n\tPRSStageKey = PSNo : '*' : Stage\r\n\tIf RowExists('PRS_STAGE', PRSStageKey) EQ False$ then\r\n\t    // User is adding a new stage to the PSN from the PROD_SPEC form without any details.\r\n\t    // Set the SAVEWARN property to true to prompt them to save upon exiting the form if \r\n\t    // they have not already done so.\r\n\t    Set_Property(@Window, 'SAVEWARN', True$)\r\n\tend\r\nend\r\n\r\nreturn 1"
        }
    }
}